﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamMenuNotResponsive
{
    public class ViewModel : INotifyPropertyChanged
    {

        private ObservableCollection<MyDataItem> menuItems;

        public ObservableCollection<MyDataItem> MenuItems
        {
            get
            {
                if (menuItems == null)
                {
                    menuItems = new ObservableCollection<MyDataItem>();
                    for (int i = 0; i < 4; i++)
                    {
                        MyDataItem mi = new MyDataItem()
                        {
                            Id = i,
                            MenuTitle = "Title " + i.ToString()
                        };
                        for (int j = 0; j < 3; j++)
                        {
                            MyDataItem mii = new MyDataItem()
                            {
                                Id = i * 10 + j,
                                MenuTitle = "Title " + i.ToString() + " " + j.ToString()

                            };
                            for (int k = 0; k < 4; k++)
                            {
                                MyDataItem miii = new MyDataItem()
                                {
                                    Id = i * 100 + j * 10 + k,
                                    MenuTitle = "Title " + i.ToString() + " " + j.ToString() + " " + k.ToString(),
                                };
                                for (int p = 0; p < 5; p++)
                                {

                                    miii.Children.Add(new MyDataItem()
                                    {
                                       Id = i * 100 + j * 10 + k + 1 * p,
                                        MenuTitle = "Title " + i.ToString() + " " + j.ToString() + " " + k.ToString() + " " + p.ToString()
                                    });
                                }
                                mii.Children.Add(miii);
                            }
                          
                            mi.Children.Add(mii);
                        }

                        menuItems.Add(mi);
                    }
                }

                return menuItems;
            }
        }



        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

        #endregion

    }
}
